- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# QObjectData Class Reference

Search for all occurrences

## Detailed Description

Definition at line 94 of file qobject.h.

`#include <qobject.h>`

List of all members.

## Public Member Functions
virtual | ~QObjectData ()=0
## Public Attributes
QObject * | q_ptr
QObject * | parent
QObjectList | children
uint | isWidget: 1
uint | pendTimer: 1
uint | blockSig: 1
uint | wasDeleted: 1
uint | ownObjectName: 1
uint | sendChildEvents: 1
uint | receiveChildEvents: 1
uint | inEventHandler: 1
uint | inThreadChangeEvent: 1
uint | hasGuards: 1
uint | unused: 22
int | postedEvents
QMetaObject * | metaObject

## Constructor & Destructor Documentation

virtual ~QObjectData | ( |  | ) | `[pure virtual]`

## Member Data Documentation

QObject* q_ptr

Search for all occurrences

Definition at line 101 of file qobject.h.

QObject* parent

Search for all occurrences

Definition at line 102 of file qobject.h.

QObjectList children

Search for all occurrences

Definition at line 103 of file qobject.h.

uint isWidget

Search for all occurrences

Definition at line 105 of file qobject.h.

uint pendTimer

Search for all occurrences

Definition at line 106 of file qobject.h.

uint blockSig

Search for all occurrences

Definition at line 107 of file qobject.h.

uint wasDeleted

Search for all occurrences

Definition at line 108 of file qobject.h.

uint ownObjectName

Search for all occurrences

Definition at line 109 of file qobject.h.

uint sendChildEvents

Search for all occurrences

Definition at line 110 of file qobject.h.

uint receiveChildEvents

Search for all occurrences

Definition at line 111 of file qobject.h.

uint inEventHandler

Search for all occurrences

Definition at line 112 of file qobject.h.

uint inThreadChangeEvent

Search for all occurrences

Definition at line 113 of file qobject.h.

uint hasGuards

Search for all occurrences

Definition at line 114 of file qobject.h.

uint unused

Search for all occurrences

Definition at line 115 of file qobject.h.

int postedEvents

Search for all occurrences

Definition at line 116 of file qobject.h.

QMetaObject* metaObject

Search for all occurrences

Definition at line 117 of file qobject.h.

The documentation for this class was generated from the following file:

- QtCore/qobject.h

QObjectData QObjectData QObjectData QObjectData QObjectData QObjectData QObjectData QObjectData QObjectData QObjectData
QObjectData QObjectData QObjectData QObjectData QObjectData QObjectData QObjectData QObjectData QObjectData QObjectData